# _FDDIGEST_s Struct Reference
[RPMIO.]

`#include <rpmio_internal.h>`

## Data Fields

pgpHashAlgo | hashalgo
DIGEST_CTX | hashctx

## Field Documentation

pgpHashAlgo _FDDIGEST_s::hashalgo

| Definition at line 59 of file rpmio_internal.h. Referenced by fdFiniDigest(), and fdInitDigest().

DIGEST_CTX _FDDIGEST_s::hashctx

| Definition at line 60 of file rpmio_internal.h. Referenced by fdFiniDigest(), fdInitDigest(), fdUpdateDigests(), and XfdFree().

The documentation for this struct was generated from the following file:

- rpmio/rpmio_internal.h